Welcome

Home > Welcome

Tweaking.com - Technicians Toolbox

Created By Shane Croft of Tweaking.com

Welcome to the Tweaking.com - Technicians Toolbox help file!

This help provides quick reference information for tools, settings and common tasks.

If you want to help improve the help file please contact me - shane@tweaking.com or post in the Tweaking.com forums.

Copyright (c) 2011 - 2015 Tweaking.com - All Rights Reserved

Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent of the law.


Tips & Tricks

There are a lot of small help features in the program, here are just a few of them.

1. List Column Reorder.
Most of the lists in the program that have multiple columns can have the columns dragged and reordered.
This way you can order the data as you like and need and don't have to work with just the default.

2. Right Click menus.
The program has right click menus for every list and a few others (Such as the main program work space).
The right click menus offer more options and tools for each tool.

3. Save Any List.
On the right click menu for every list in the program is the ability to save the list, the selected items and so on.
This is very helpful when you need copy and past the data into a forum post, email or another program.

4. Multiple Select.
One of the main features is to be able to multiple select items in a list and run a command on those selected.
Example: You open the Process Information tool, select multiple running processes and then right click and end those processes. With just one click.

5. Take Ownership And Also Delete Services.
One thing you cant do easily in Windows is delete a service. But for good reason, you delete the wrong service and you can kill Windows.
But what about after you cleanup an infection or remove a program and there is old left over services still installed?
Normally you would need to manually go into the registry, find the service, grant permissions on the registry keys and then delete them.
Some of these services even have their permissions set to where you cant stop or start them.
With the Windows Services Tool you can give administrators permissions over a service, allowing you to stop or stop a service that normally you couldn't.
After you have permission you can even delete the service, making cleanup of left over services much easier.

(Right Click Menu)

6. Windows List For Multiple Open Tools.
When you have multiple tools open in the program you can right click on any blank spot in the work space or click on the window icon in the upper right to give you the window list plus more options.

(Right Click Menu)

7. Reorder The Main Toolbar.
You can even reorder the main toolbar to have your favorite tools together.
You can also right click the main toolbar to reset the order back to its default order.

(Right Click Menu)

(Main Toolbar)

8. Some Tools Can Be Opened Multiple Times
Some tools, such as the system monitors can be opened multiple times. Allowing you to monitor multiple things at once.
Just a few others, Process Details, Service Details, User Properties, Group Properties and so on can all have multiple windows open.


Quick Tools

Quick tools is a menu to open many of the tools built into Windows. (Open Quick Tools by clicking the tool box icon in the upper right of the program)

A lot of the built in tools in Windows is difficult to get to for some users, with the quick tools list a user can get to those tools much easier and faster.


Take A Screen Shot

(You can access the Take A Screen Shot menu by clicking the camera icon in the upper right of the program)

The program offers an easy to use feature to take a screen shot of the program itself, or of the desktop.

This is useful when getting support on a forum and they ask for a screen shot of an error or something happening on the system.

Techs can also use this feature to take a screen shot of certain settings or windows so that they can reference back to them later.

Program Window (Clipboard)
This will take a screen shot of the program itself and save it to the Windows Clipboard.

Program Window (To File)
This will take a screen shot of the program itself and then ask for a file name and location to save the screen shot. PNG, Jpg, BMP, TIFF & Gif are the supported file types it can save.

Current Monitor (Clipboard)
This will take a screen shot of the current monitor the program is on and save it to the Windows Clipboard.

Current Monitor (To File)
This will take a screen shot of the current monitor the program is on and then ask for a file name and location to save the screen shot. PNG, Jpg, BMP, TIFF & Gif are the supported file types it can save.

Entire Desktop (Clipboard)
This will take a screen shot of the entire desktop and save it to the Windows Clipboard.
What this option means is if you are on multiple monitors the screen shot will be of all the monitors combined.
If you are on a single monitor then it is the same as taking a screen shot of the Current Monitor.

Entire Desktop (To File)
This will take a screen shot of the entire desktop and then ask for a file name and location to save the screen shot. PNG, Jpg, BMP, TIFF & Gif are the supported file types it can save.
What this option means is if you are on multiple monitors the screen shot will be of all the monitors combined.
If you are on a single monitor then it is the same as taking a screen shot of the Current Monitor.


Check Disk (chkdsk) At Next Boot

This tool is used to easily set a drive to be scanned and repaired at the next boot up of Windows.

Normally to schedule a scan of a drive you have to open a cmd.exe window and run chkdsk c: /f
When the drive is in use Windows will ask you if you would like to schedule it. You then hit Y and enter.

Sometimes doing it this way didn't always write to the registry correctly and you would have to do it again.

With this tool you can now easily do this for any drive on the system, and if you scheduled a scan on a drive but want to cancel it you can do that with this tool as well.

Why would you want to cancel a scan? Say you scheduled a bad sector check for the main drive at next boot. The bad sector scan can take hours to run depending on the size of the drive.
You need to reboot to finish installing an update and you are not ready for the scan yet because you still have work to do. You can then cancel the scan, reboot and then schedule the scan again when you are ready.


Run As System Account

Parts of Windows have more security on them where only the system account has default access. Certain registry keys and files are a good example.

With this tool you can start a program as the system account, such as regedit or explorer.exe and you will have the same access as the system account.

The tool has a built in quick list that you can edit and maintain in case you have your own programs you would like to run as the system account. The quick list makes it easy to remember and run those programs with just a click.


Network Tools

In the program there is multiple network tools. When you click on Network Tools in the main toolbar you will get the Network Tools Window.

Aside from opening each network tool from here you can also find out what your internet IP address is with 1 click of a button.

There are times you need to know what your internet IP is, this tool makes it faster than loading up a website to get the IP.


Netstat

This netstat tool is similar to the netstat built into Windows but takes it even further.

Not only does it show which programs are making the connections, but also their icons and paths.

You also have the right click menu with even more information. Same as the process information menu.

(Right Click Menu)


Network Information

Similar to the ipconfig /all command in Windows command prompt. This tool takes it even further by giving detailed info as reported by the API and then on the Advanced tab the info reported by WMI.

There is also a copy to clip board button to make copying the information easy and better formatted then trying to copy the text from a command prompt.


Static IPv4

This tool allows you to easy enable or disable a static IP on the computer. You can also save presets of IP configs for later use.

The presets come in handy for the tech that uses their laptop to connect to different systems and they set static IPs for different networks.

Why would a normal user want a static local ip? Normally only when they don't want their local IP to change. Such as they have port forwarding rules set up in their router that point to their computer.
If their IP changes then the port forwarding rules will not work, so they would want a static local IP.


TCP & UDP Stats

This will show detailed info on the TCP & UDP stats as reported by Windows.

Also the ICMP (In) in also shows ping request that have come into the system and ICMP (Out) shows the pings sent from the computer (Including responding to incoming pings)

This tool can be helpful in diagnosing network problems.


IP Subnet Calculator

This is more of an advanced tool for network admins and even internet admins and how they want to setup their IP ranges and on what subnets.

Most users will have no need for this tool, but the advanced admin will.


IP Address Scanner

This tool is handy when you need to see what IPs are active on the network.

The program pings all the IPs together giving extremely fast results. In this case it scanned (Pinged) 254 IPs in 3 seconds.

This is much faster than the old scanners that would ping one IP at a time.


Manage Windows Users

This is the main window to the manage users and groups tools.

This window also shows the current password policies that are on the system.


Manage Users

The Manage Users tool is similar as the one in the Pro versions of Windows. But this one has more details and options.

You also have a right click menu with more options, and you can even select multiple users at once!

You will notice that on Windows 7 Home Premium for example that you don't have the normal User and Groups admin and so you are unable to view and change these settings.
That is because the normal built in Users and Groups manager in Windows is only in the Pro versions or higher of Windows.

With this tool you now have a proper User manager even in the Home versions of Windows.

(Right Click Menu)


Create New Windows User

You can create a new user in Windows just like you can in the User manager that comes in the Pro version of Windows.

You will notice that on Windows 7 Home Premium for example that you don't have the normal User and Groups admin and so you are unable to view and change these settings.
That is because the normal built in Users and Groups manager in Windows is only in the Pro versions or higher of Windows.

With this tool you now have a proper User manager even in the Home versions of Windows.


User Account Properties

You can view or change the properties of a user account.

You also have an "Extra Info" tab which has more detailed account information as reported by WMI.

You will notice that on Windows 7 Home Premium for example that you don't have the normal User and Groups admin and so you are unable to view and change these settings.
That is because the normal built in Users and Groups manager in Windows is only in the Pro versions or higher of Windows.

With this tool you now have a proper User manager even in the Home versions of Windows.


Manage Groups

The Manage Group tool allows you to edit, create and even delete groups.

It also shows you the Group SID and other info.

Double click on a group to view or change its properties and you also have the right click menu options as well.

(Right Click Menu)


Create New Windows Group

With this tool you can create your own Windows Groups.

Very simple, give your new group a name, a description (Optional) and then what users are part of that group.

Why would you ever need to make a group of your own?

Normally you wouldn't. but if you are a system admin and you have written your own program for users on the network to use, you can have your program check if the users using it are part of your custom group, and if so they are allowed to run the program.

That is simply one example, but you can see how creating your own group could be useful.


Group Properties

You are able to set the properties of a group, such as its description and what users are part of the group.


Bulk Manage Users Tool

This tool is a huge time saver for network admins who have a lot of users they need to apply the same settings to.

You select the users you want to apply the settings to, then set which settings and hit start.

If you put the "Set" check box for a setting then what ever is there gets applied. So say you put a check on "Set" for the profile path and then leave the path blank.
Then the program will set that black path for the selected users.

Also the paths and logon scripts do support the normal Windows variables.
Example Variable: %username%
Example Path: \\Server1\Profiles\%username%


Delete, Move Or Rename Locked Files At Bootup

This tool allows you to Delete Move or Rename locked files.

It applies the proper registry values to tell Windows what to do on the next boot up for those files.

This is very handy when you are trying to remove a locked file such as a virus.

There is also a nice feature added to this tool.
You can drag and drop files right into the list and even copy and past files into the list.
Making adding multiple files nice and easy.


Svchost.exe Lookup

If you have ever noticed svchost.exe in your task manger taking a large amount of memory or high CPU you wonder what it belongs to. svchost.exe is used to run certain services in Windows.

With this tool you can see all currently running svchost.exe on the system and what service each one belongs to.

You also have the same right click options as the Windows Services Tool.

You can select multiple services at once, right click on them and run the command you want. Making stopping, changing, etc. multiple services at once as easy as one click.

You also have the very powerful option of granting administrators full permissions to a service.
Allowing any service that you couldn't stop, start or change before to be enabled to you.

You then also have the very powerful and dangerous Delete Service option.
This is dangerous because if you delete a needed core Windows service you can crash the system.

Then why have a delete service option?
Because multiple times after cleaning up an infection or removing software there is normally left over service entries.
You would have to manually go into the registry, take permissions and delete the registry keys. Very time consuming.
Now you can do it with just a click, helping speed up your repair.

(Right Click Menu)

You can also double click on a service to pull detailed info about the service.
This information is as reported by WMI.


Process Information

Process Information Tool is a task manager like the one in Windows but with more options and power.

You can select multiple processes at once, right click on them and run the command you want. Making stopping, changing, etc. multiple processes at once as easy as one click.

(Right Click Menu)

You can also double click on a process to pull detailed info about the process.
This information is as reported by WMI.


Windows Services

Windows Services Tool is a service manager like the one in Windows but with more options and power.

You can select multiple services at once, right click on them and run the command you want. Making stopping, changing, etc. multiple services at once as easy as one click.

You also have the very powerful option of granting administrators full permissions to a service.
Allowing any service that you couldn't stop, start or change before to be enabled to you.

You then also have the very powerful and dangerous Delete Service option.
This is dangerous because if you delete a needed core Windows service you can crash the system.

Then why have a delete service option?
Because multiple times after cleaning up an infection or removing software there is normally left over service entries.
You would have to manually go into the registry, take permissions and delete the registry keys. Very time consuming.
Now you can do it with just a click, helping speed up your repair.

(Right Click Menu)

You can also double click on a service to pull detailed info about the service.
This information is as reported by WMI.


Windows Services Safe Mode

Windows only allows certain services to run in Safe Mode.

This tool will allow you to control what services you want to give the ability to run in safe mode.

An example of this tool would be to enable the windows installer to run in safe mode so you can uninstall programs that you normally couldn't in Safe Mode.

Windows has two Safe Modes. Safe Mode - Minimal (No network) and Safe Mode - With Networking


Windows Shutdown Timer

This tool will allow you to easily set when to shutdown, restart, logoff, sleep or hibernate the system.

You can use a count down timer or specify a certain time for the action to happen.

A tool like this comes in handy when you are done for the day and you are waiting for a program or download to finish before turning off the system.

Say you are waiting for a download to finish, it will be done in 2 hours. You want to head home for the weekend. So you set the timer to shutdown the system in 3 hours (Giving some extra time for the download to finish) instead of leaving the system on and running all weekend.


CPU

Home > System Monitors > CPU Monitor

CPU Monitor

Important:
The CPU usage is pulled from the Windows Performance Monitor.
The data in the list is pulled WMI.

AddressWidth
On a 32-bit operating system, the value is 32 and on a 64-bit operating system it is 64.
Architecture
Processor architecture used by the platform.
x86
MIPS
Alpha
PowerPC
ARM
Itanium-based systems
x64

CpuStatus
Current status of the processor. Status changes indicate processor usage, but not the physical condition of the processor.
Unknown
CPU Enabled
CPU Disabled by User via BIOS Setup
CPU Disabled by BIOS (POST Error)
CPU Is Idle
Other

CurrentVoltage
Voltage of the processor.
DataWidth
On a 32-bit processor, the value is 32 and on a 64-bit processor it is 64.
DeviceID
Unique identifier of a processor on the system.
ExtClock
External clock frequency, in MHz. If the frequency is unknown, this property is set to NULL.
Family
Processor family type.
Value Meaning
1 (0x1)
 Other
2 (0x2)
 Unknown
3 (0x3)
 8086
4 (0x4)
 80286
5 (0x5)
 Intel386™ Processor
6 (0x6)
 Intel486™ Processor
7 (0x7)
 8087
8 (0x8)
 80287
9 (0x9)
 80387
10 (0xA)
 80487
11 (0xB)
 Pentium Brand
12 (0xC)
 Pentium Pro
13 (0xD)
 Pentium II
14 (0xE)
 Pentium Processor with MMX™ Technology
15 (0xF)
 Celeron™
16 (0x10)
 Pentium II Xeon™
17 (0x11)
 Pentium III
18 (0x12)
 M1 Family
19 (0x13)
 M2 Family
24 (0x18)
 AMD Duron™ Processor Family
25 (0x19)
 K5 Family
26 (0x1A)
 K6 Family
27 (0x1B)
 K6-2
28 (0x1C)
 K6-3
29 (0x1D)
 AMD Athlon™ Processor Family
30 (0x1E)
 AMD2900 Family
31 (0x1F)
 K6-2+
32 (0x20)
 Power PC Family
33 (0x21)
 Power PC 601
34 (0x22)
 Power PC 603
35 (0x23)
 Power PC 603+
36 (0x24)
 Power PC 604
37 (0x25)
 Power PC 620
38 (0x26)
 Power PC X704
39 (0x27)
 Power PC 750
48 (0x30)
 Alpha Family
49 (0x31)
 Alpha 21064
50 (0x32)
 Alpha 21066
51 (0x33)
 Alpha 21164
52 (0x34)
 Alpha 21164PC
53 (0x35)
 Alpha 21164a
54 (0x36)
 Alpha 21264
55 (0x37)
 Alpha 21364
64 (0x40)
 MIPS Family
65 (0x41)
 MIPS R4000
66 (0x42)
 MIPS R4200
67 (0x43)
 MIPS R4400
68 (0x44)
 MIPS R4600
69 (0x45)
 MIPS R10000
80 (0x50)
 SPARC Family
81 (0x51)
 SuperSPARC
82 (0x52)
 microSPARC II
83 (0x53)
 microSPARC IIep
84 (0x54)
 UltraSPARC
85 (0x55)
 UltraSPARC II
86 (0x56)
 UltraSPARC IIi
87 (0x57)
 UltraSPARC III
88 (0x58)
 UltraSPARC IIIi
96 (0x60)
 68040
97 (0x61)
 68xxx Family
98 (0x62)
 68000
99 (0x63)
 68010
100 (0x64)
 68020
101 (0x65)
 68030
112 (0x70)
 Hobbit Family
120 (0x78)
 Crusoe™ TM5000 Family
121 (0x79)
 Crusoe™ TM3000 Family
122 (0x7A)
 Efficeon™ TM8000 Family
128 (0x80)
 Weitek
130 (0x82)
 Itanium™ Processor
131 (0x83)
 AMD Athlon™ 64 Processor Family
132 (0x84)
 AMD Opteron™ Processor Family
144 (0x90)
 PA-RISC Family
145 (0x91)
 PA-RISC 8500
146 (0x92)
 PA-RISC 8000
147 (0x93)
 PA-RISC 7300LC
148 (0x94)
 PA-RISC 7200
149 (0x95)
 PA-RISC 7100LC
150 (0x96)
 PA-RISC 7100
160 (0xA0)
 V30 Family
176 (0xB0)
 Pentium III Xeon™ Processor
177 (0xB1)
 Pentium III Processor with Intel SpeedStep™ Technology
178 (0xB2)
 Pentium 4
179 (0xB3)
 Intel Xeon™
180 (0xB4)
 AS400 Family
181 (0xB5)
 Intel Xeon™ Processor MP
182 (0xB6)
 AMD Athlon™ XP Family
183 (0xB7)
 AMD Athlon™ MP Family
184 (0xB8)
 Intel Itanium 2
185 (0xB9)
 Intel Pentium M Processor
190 (0xBE)
 K7
198 (0xC6)
 Intel Core™ i7-2760QM
200 (0xC8)
 IBM390 Family
201 (0xC9)
 G4
202 (0xCA)
 G5
203 (0xCB)
 G6
204 (0xCC)
 z/Architecture Base
250 (0xFA)
 i860
251 (0xFB)
 i960
260 (0x104)
 SH-3
261 (0x105)
 SH-4
280 (0x118)
 ARM
281 (0x119)
 StrongARM
300 (0x12C)
 6x86
301 (0x12D)
 MediaGX
302 (0x12E)
 MII
320 (0x140)
 WinChip
350 (0x15E)
 DSP
500 (0x1F4)
 Video Processor

L2CacheSize
Size of the Level 2 processor cache. A Level 2 cache is an external memory area that has a faster access time than the main RAM memory.
L3CacheSize
Size of the Level 3 processor cache. A Level 3 cache is an external memory area that has a faster access time than the main RAM memory.

Windows Server 2003: This property is not available.

Level
Definition of the processor type. The value depends on the architecture of the processor.
Manufacturer
Name of the processor manufacturer.

Example: AuthenticAMD or Intel

Maxmum Speed
Maximum speed of the processor.
Name
Label by which the cpu is known.
NumberOfCores
Number of cores for the current instance of the processor. A core is a physical processor on the integrated circuit. For example, in a dual-core processor this property has a value of 2.

Windows Server 2003: This property is not available.

NumberOfLogicalProcessors
Number of logical processors for the current instance of the processor. For processors capable of hyperthreading, this value includes only the processors which have hyperthreading enabled.

Windows Server 2003: This property is not available.

ProcessorId
Processor information that describes the processor features. For an x86 class CPU, the field format depends on the processor support of the CPUID instruction. If the instruction is supported, the property contains 2 (two) DWORD formatted values. The first is an offset of 08h-0Bh, which is the EAX value that a CPUID instruction returns with input EAX set to 1. The second is an offset of 0Ch-0Fh, which is the EDX value that the instruction returns. Only the first two bytes of the property are significant and contain the contents of the DX register at CPU reset—all others are set to 0 (zero), and the contents are in DWORD format.
ProcessorType
Primary function of the processor.
Other
Unknown
Central Processor
Math Processor
DSP Processor
Video Processor

Revision
System revision level that depends on the architecture. The system revision level contains the same values as the Version property, but in a numerical format.
Role
Role of the processor.

Examples: Central Processor or Math Processor

SocketDesignation
Type of chip socket used on the circuit.

Example: J202

Status
Current status of an object.

The values are:

"OK"
"Error"
"Degraded"
"Unknown"
"Pred Fail"
"Starting"
"Stopping"
"Service"
"Stressed"
"NonRecover"
"NoContact"
"LostComm"
Stepping
Revision level of the processor in the processor family.
UniqueId
Globally unique identifier for the processor. This identifier may only be unique within a processor family.
UpgradeMethod
CPU socket information, including the method by which this processor can be upgraded, if upgrades are supported. This property is an integer enumeration.
Value Meaning
1 (0x1)
 Other
2 (0x2)
 Unknown
3 (0x3)
 Daughter Board
4 (0x4)
 ZIF Socket
5 (0x5)
 Replacement or Piggy Back
6 (0x6)
 None
7 (0x7)
 LIF Socket
8 (0x8)
 Slot 1
9 (0x9)
 Slot 2
10 (0xA)
 370 Pin Socket
11 (0xB)
 Slot A
12 (0xC)
 Slot M
13 (0xD)
 Socket 423
14 (0xE)
 Socket A (Socket 462)
15 (0xF)
 Socket 478
16 (0x10)
 Socket 754
17 (0x11)
 Socket 940
18 (0x12)
 Socket 939

Version
Processor revision number that depends on the architecture.

Example: Model 2, Stepping 12

VoltageCaps
Voltage capabilities of the processor. Bits 0-3 of the field represent specific voltages that the processor socket can accept. All other bits should be set to 0 (zero). The socket is configurable if multiple bits are set. For more information about the actual voltage at which the processor is running, see CurrentVoltage. If the property is NULL, then the voltage capabilities are unknown.
Value Meaning
1 (0x1)
 5 volts
2 (0x2)
 3.3 volts
4 (0x4)
 2.9 volts


Drives

Home > System Monitors > Drives Monitor

Drives Monitor

This tool shows you detailed information about the drives on your system. This information is pulled from the Windows Performance Monitor.

You can double click an item in the list to show the description for that item.

You can also open up multi windows of this tool to monitor multiple drives. What ever drive is chosen in the drop down list is the drive that is monitored in the graph.


Memory

Home > System Monitors > Memory Monitor

Memory Monitor

This tool will show you the current memory stats on the system, including the installed memory modules on the system.

The memory modules are reported from WMI in Windows.

The clean memory button will trigger Windows built in memory management to cleanup unused memory by all processes.


Network

Home > System Monitors > Network Monitor

Network Monitor

IMPORTANT: On 32 bit systems the performance monitor has a max of 2 GB values and once it hits 2 GB it resets to 0.
64 bit systems do not have this problem as this is simply the limitation on 32 bit.

This tool shows you detailed information about the network on your system. This information is pulled from the Windows Performance Monitor.

You can double click an item in the list to show the description for that item.

You can also open up multi windows of this tool to monitor multiple network adapters. What ever adapter is chosen in the drop down list is the adapter that is monitored in the graph.


Settings

Start Program Maximized
When this option is checked the program will start maximized instead of its default size.

Disable Program Exit Confirmation
When this option is checked the program will not ask you if you are sure you want to close the program.

Check For Updates At Program Startup
When this option is checked the program will check to see if there is an update available. This does this when you first open the program.

Program Background Picture (Pro Feature)
This option also you to use your own background picture in the program. The default picture is the program logo of the toolbox.
This option is for the Techs or companies that use the tools with customers but want it to look more professional for their company by having their company logo in the program.


Program Colors

The program allows you to change the colors used in the program.

If you have trouble reading or seeing text and other things in the program, or if you simply do not like the default colors, then you can change them to something more your liking.

Simply click on the color you want to change.

You can also use a color preset to try a few other options or to restore the colors back to the program default.